<?php
// This file provides minimal shims to use cloudimage to service Cloudimg Photon URLs.

/**
	* Minimal implementation of the Cloudimg_Jetpack class to ensure Cloudimg_Photon will run.
	*/
class Cloudimg_Jetpack {
	public static function check_privacy($file) {
		// do nothing
	}

	public static function get_content_width() {
		if ( array_key_exists('content_width', $GLOBALS) ) {
			return $GLOBALS['content_width'];
		}
	}

	public static function get_active_modules() {
		return array('photon');
	}

	/**
	 * Is Jetpack in development (offline) mode?
	 */
	public static function is_development_mode() {
		$development_mode = false;

		if ( defined( 'CLOUDIMG_DEV_DEBUG' ) )
		{
			$development_mode = CLOUDIMG_DEV_DEBUG;
		}
		elseif ( $site_url = site_url() )
		{
			$development_mode = (false === strpos( $site_url, '.' )) || (stripos($site_url, 'local') !== false);
		}

		return apply_filters( 'cloudimg_development_mode', $development_mode );
	}
}

Cloudimg_Photon::instance();
